<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

	<groupId>com.geg</groupId>
    <artifactId>itc-pcitc-back</artifactId>
    <version>${revision}</version>
    <name>itc-pcitc-back</name>
    <packaging>pom</packaging>

    <modules>
		<module>itc-pcitc-demo</module>
		<module>itc-pcitc-dependencies</module>
		<module>itc-pcitc-mdm</module>
<!-- 		<module>itc-pcitc-purchasing</module>
		<module>itc-pcitc-sales</module>
		<module>itc-pcitc-stockpile</module>
		<module>itc-pcitc-settlement</module>
		<module>itc-pcitc-stater</module> -->
		
    </modules>

    <properties>
        <revision>2.0.4</revision>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>8</java.version>
        
        <maven.compiler.source>${java.version}</maven.compiler.source>
        <maven.compiler.target>${java.version}</maven.compiler.target>
    </properties>
	
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.geg</groupId>
		        <artifactId>itc-framework-ms</artifactId>
		        <version>2.0.4</version>
                <type>pom</type>
                <scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	
	
    <!--Nexus私服，发布地址，发布地址 -->
    <distributionManagement>
        <repository>
			<id>tanuki-home</id>
			<name>tanuki-release</name>
			<url>http://nexus.tanuki.vip/repository/maven-releases/</url>
		</repository>
		<snapshotRepository>
			<id>tanuki-home</id>
			<name>tanuki-snapshots</name>
			<url>http://nexus.tanuki.vip/repository/maven-snapshots/</url>
		</snapshotRepository>
    </distributionManagement>
    
    <repositories>
    	<repository>
    		<id>byu.edu</id>
    		<url>https://maven.lib.byu.edu/repository/</url>
    	</repository>
    	<repository>
			<id>tanuki-home</id>
			<name>t-maven-public</name>
			<url>http://nexus.tanuki.vip/repository/maven-public/</url>
    	</repository>
    </repositories>
    
	<pluginRepositories>
		<pluginRepository>
			<id>tanuki-home</id>
			<name>t-maven-public</name>
			<url>http://nexus.tanuki.vip/repository/maven-public/</url>
		</pluginRepository>
	</pluginRepositories>
	
	
<build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>flatten-maven-plugin</artifactId>
                <version>1.7.0</version>
                <configuration>
                    <updatePomFile>true</updatePomFile>
                    <flattenMode>resolveCiFriendliesOnly</flattenMode>
                </configuration>
                <executions>
                    <execution>
                        <id>flatten</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>flatten</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>flatten.clean</id>
                        <phase>clean</phase>
                        <goals>
                            <goal>clean</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.yml</include>
                    <include>**/*.properties</include>
                    <include>**/*.xml</include>
                </includes>
                <filtering>false</filtering>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*.*</include>
                </includes>
                <filtering>false</filtering>
            </resource>
        </resources>
    </build>
</project>